Skip to main content
`Ctrl`+`K`

# numpy.isposinf

numpy.isposinf(x, out=None)

  Test element-wise for positive infinity, return result as bool array.

  Parameters:
    x array_like

      The input array.

    out array_like, optional

      A location into which the result is stored. If provided, it must have a shape that the input broadcasts to. If not provided or None, a freshly-allocated boolean array is returned.

  Returns:
    out ndarray

      A boolean array with the same dimensions as the input. If second argument is not supplied then a boolean array is returned with values True where the corresponding element of the input is positive infinity and values False where the element of the input is not positive infinity.

      If a second argument is supplied the result is stored there. If the type of that array is a numeric type the result is represented as zeros and ones, if the type is boolean then as False and True. The return value out is then a reference to that array.

  See also

  `isinf`, `isneginf`, `isfinite`, `isnan`

  Notes

  NumPy uses the IEEE Standard for Binary Floating-Point for Arithmetic (IEEE 754).

  Errors result if the second argument is also supplied when x is a scalar input, if first and second arguments have different shapes, or if the first argument has complex values

  Examples

      >>> import numpy as np
      >>> np.isposinf(np.inf)
      True
      >>> np.isposinf(-np.inf)
      False
      >>> np.isposinf([-np.inf, 0., np.inf])
      array([False, False,  True])

      >>> x = np.array([-np.inf, 0., np.inf])
      >>> y = np.array([2, 2, 2])
      >>> np.isposinf(x, y)
      array([0, 0, 1])
      >>> y
      array([0, 0, 1])